List Forms
get
/public/v1/formspage[size]integerNumber of results per page. Minimum 1, maximum 100.
Default:25page[number]integerThe page number to retrieve. Use the
last_pagevalue from themetaresponse to determine the total number of pages available.Default:1
Response
200application/jsonPaginated set of FormResource
dataobject[]required▶Show 10 child attributesHide child attributes
idstringrequiredExample:f1o2r3m4-a5b6-47c8-9d0e-1f2a3b4c5d6enamestringrequiredExample:Intake Formdescriptionstring | nullrequiredExample:Initial client intake questionnairestatusenum<string>requiredAvailable options:archivedpublishedunpublishedtypeenum<string>requiredAvailable options:externalinternalusageenum<string>requiredAvailable options:feedbackgeneraljob_applicationparticipant_incidentreferralregisterstaff_incidenthosted_urlstringrequiredExample:https://app.astalty.com.au/form/f1o2r3m4-a5b6-47c8-9d0e-1f2a3b4c5d6earchived_atstring | nullrequiredExample:2024-01-15T10:30:00+00:00created_atstringrequiredExample:2024-01-15T10:30:00+00:00fieldsobject[]▶Show 10 child attributesHide child attributes
idstringrequiredExample:f1e2l3d4-a5b6-47c8-9d0e-1f2a3b4c5d6elabelstring | nullrequiredExample:Date of birthcontentstring | nullrequiredExample:Section heading or rich text contenttypeenum<string>requiredAvailable options:addressannotated_imagecheckboxdatedatetimedivideremailfileheaderimagelinear_scalemobile_phonemoneymultiselectnumberparticipant_selectradiorepeaterrich_textselectsite_selecttexttextareauser_selectfillablebooleanrequiredExample:truerequiredbooleanrequiredExample:falseoptionsstring[]requiredrepeater_fieldsobject[]required▶Show 2 child attributesHide child attributes
keyenum<string>requiredAvailable options:contactnamelabelstringrequiredExample:Full name
conditionsobject[]required▶Show 4 child attributesHide child attributes
effectenum<string>requiredAvailable options:requiredvisibilitysource_field_idstringrequiredExample:f1e2l3d4-a5b6-47c8-9d0e-1f2a3b4c5d6eoperatorenum<string>requiredAvailable options:afterbeforecontainsequalsgreater_thanis_checkedis_emptyis_not_checkedis_not_emptyless_thannot_equalsvaluestring | nullrequiredExample:Yes
value_formatstring | enum<string> | nullrequiredExample:One of the strings in options. Not an option ID.
metaobjectrequired▶Show 5 child attributesHide child attributes
current_pageintegerrequired≥ 1last_pageintegerrequired≥ 1per_pageintegerrequired≥ 0Number of items shown per page.
totalintegerrequired≥ 0Total number of items being paginated.
allowed_sortsstring[]requiredThe list of allowed sorts for this endpoint.
401Unauthenticated403Authorization error